## r-cran-satellite 1.0.1

=== DESCRIPTION ===
Package: satellite
Type: Package
Title: Handling and Manipulating Remote Sensing Data
Version: 1.0.1
Date: 2017-10-18
Author: Thomas Nauss, Hanna Meyer, Tim Appelhans, Florian Detsch
Maintainer: Florian Detsch <fdetsch@web.de>
Description: Herein, we provide a broad variety of functions which are useful
    for handling, manipulating, and visualizing satellite-based remote sensing 
    data. These operations range from mere data import and layer handling (eg 
    subsetting), over Raster* typical data wrangling (eg crop, extend), to more 
    sophisticated (pre-)processing tasks typically applied to satellite imagery 
    (eg atmospheric and topographic correction). This functionality is 
    complemented by a full access to the satellite layers' metadata at any 
    stage and the documentation of performed actions in a separate log file. 
    Currently available sensors include Landsat 4-5 (TM), 7 (ETM+), and 8 
    (OLI/TIRS Combined), and additional compatibility is ensured for the Landsat 
    Global Land Survey data set. Moreover, support for Terra and Aqua-MODIS as 
    well as PROBA-V is expected to arrive shortly.
Depends: R (>= 2.10), raster, methods, utils, stats, grDevices,
        graphics
Imports: plyr, Rcpp (>= 0.10.3), tools, stats4
License: GPL (>= 3) | file LICENSE
Suggests: devtools, knitr, rgdal, testthat, rmarkdown
LazyData: true
VignetteBuilder: knitr
LinkingTo: Rcpp
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-10-18 08:14:09 UTC; flowd
Repository: CRAN
Date/Publication: 2017-10-18 11:12:38 UTC

=== debian/changelog ===
r-cran-satellite (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #907044)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2018 14:23:31 +0200

=== debian/control ===
Source: r-cran-satellite
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-raster,
               r-cran-plyr,
               r-cran-rcpp (>= 0.10.3)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
Homepage: https://cran.r-project.org/package=satellite

Package: r-cran-satellite
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R handling and manipulating remote sensing data
 This package provides a broad variety of functions which are useful
 for handling, manipulating, and visualizing satellite-based remote sensing
 data. These operations range from mere data import and layer handling (eg
 subsetting), over Raster* typical data wrangling (eg crop, extend), to more
 sophisticated (pre-)processing tasks typically applied to satellite imagery
 (eg atmospheric and topographic correction). This functionality is
 complemented by a full access to the satellite layers' metadata at any
 stage and the documentation of performed actions in a separate log file.
 Currently available sensors include Landsat 4-5 (TM), 7 (ETM+), and 8
 (OLI/TIRS Combined), and additional compatibility is ensured for the Landsat
 Global Land Survey data set. Moreover, support for Terra and Aqua-MODIS as
 well as PROBA-V is expected to arrive shortly.

## r-cran-satellite 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: satellite
 Type: Package
 Title: Handling and Manipulating Remote Sensing Data
-Version: 1.0.1
-Date: 2017-10-18
+Version: 1.0.2
+Date: 2019-12-06
 Author: Thomas Nauss, Hanna Meyer, Tim Appelhans, Florian Detsch
 Maintainer: Florian Detsch <fdetsch@web.de>
 Description: Herein, we provide a broad variety of functions which are useful
@@ -15,18 +15,18 @@
     stage and the documentation of performed actions in a separate log file. 
     Currently available sensors include Landsat 4-5 (TM), 7 (ETM+), and 8 
     (OLI/TIRS Combined), and additional compatibility is ensured for the Landsat 
-    Global Land Survey data set. Moreover, support for Terra and Aqua-MODIS as 
-    well as PROBA-V is expected to arrive shortly.
+    Global Land Survey data set. 
 Depends: R (>= 2.10), raster, methods, utils, stats, grDevices,
         graphics
 Imports: plyr, Rcpp (>= 0.10.3), tools, stats4
-License: GPL (>= 3) | file LICENSE
+License: MIT + file LICENSE
 Suggests: devtools, knitr, rgdal, testthat, rmarkdown
 LazyData: true
 VignetteBuilder: knitr
 LinkingTo: Rcpp
-RoxygenNote: 6.0.1
+RoxygenNote: 7.0.2
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2017-10-18 08:14:09 UTC; flowd
+Packaged: 2019-12-09 07:52:48 UTC; FlorianD
 Repository: CRAN
-Date/Publication: 2017-10-18 11:12:38 UTC
+Date/Publication: 2019-12-09 09:10:02 UTC

=== debian/changelog ===
r-cran-satellite (1.0.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:32 +0100

r-cran-satellite (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Jan 2020 09:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-raster,
                r-cran-plyr,
-               r-cran-rcpp (>= 0.10.3)
-Standards-Version: 4.2.0
+               r-cran-rcpp
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
 Homepage: https://cran.r-project.org/package=satellite

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/satellite_([-\d.]*)\.tar\.gz

## r-cran-satellite 1.0.4

=== debian/changelog ===
r-cran-satellite (1.0.4-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * Update test deps
  * Test with raster version bumped

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Dec 2021 00:09:58 +0530

r-cran-satellite (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: r-cran-terra

 -- Andreas Tille <tille@debian.org>  Sat, 06 Nov 2021 09:51:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,25 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-raster,
                r-cran-plyr,
-               r-cran-rcpp
-Standards-Version: 4.4.1
+               r-cran-rcpp,
+               r-cran-terra
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
 Homepage: https://cran.r-project.org/package=satellite
+Rules-Requires-Root: no
 
 Package: r-cran-satellite
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-cran-raster (>= 3.5-9-1~)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R handling and manipulating remote sensing data

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rgdal, r-cran-codetools
Restrictions: allow-stderr

## r-cran-satellite 1.0.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Package: satellite
-Type: Package
 Title: Handling and Manipulating Remote Sensing Data
-Version: 1.0.2
-Date: 2019-12-06
+Version: 1.0.4
 Author: Thomas Nauss, Hanna Meyer, Tim Appelhans, Florian Detsch
 Maintainer: Florian Detsch <fdetsch@web.de>
 Description: Herein, we provide a broad variety of functions which are useful
@@ -18,15 +16,15 @@
     Global Land Survey data set. 
 Depends: R (>= 2.10), raster, methods, utils, stats, grDevices,
         graphics
-Imports: plyr, Rcpp (>= 0.10.3), tools, stats4
+Imports: plyr, Rcpp (>= 0.10.3), terra, tools, stats4
 License: MIT + file LICENSE
 Suggests: devtools, knitr, rgdal, testthat, rmarkdown
 LazyData: true
 VignetteBuilder: knitr
 LinkingTo: Rcpp
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-12-09 07:52:48 UTC; FlorianD
+Packaged: 2021-10-12 06:28:29 UTC; fdetsch
 Repository: CRAN
-Date/Publication: 2019-12-09 09:10:02 UTC
+Date/Publication: 2021-10-12 09:10:02 UTC

=== debian/changelog ===
r-cran-satellite (1.0.4+dfsg-2) unstable; urgency=medium

  * Drop patch that removes raster from Depends
  * Make sure r-codetools is available in tests even if not mentioned in
    Suggests
  * Add r-cran-sf to Test-Depends since this is used by r-cran-sp now
    instead of rgdal
  * Add r-cran-codetools to Build-Depends to reduce warning noise

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 15:14:34 +0200

r-cran-satellite (1.0.4+dfsg-1) unstable; urgency=medium

  * Standards-Version: 4.6.2 (routine-update)
  * Drop rgdal from Test-Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sat, 19 Aug 2023 21:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
                r-cran-raster,
                r-cran-plyr,
                r-cran-rcpp,
-               r-cran-terra
-Standards-Version: 4.6.0
+               r-cran-terra,
+# <dh-update-R>do not delete this</dh-update-R>,
+               r-cran-codetools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
 Homepage: https://cran.r-project.org/package=satellite
@@ -21,8 +23,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-cran-raster (>= 3.5-9-1~)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R handling and manipulating remote sensing data

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-devtools,
        r-cran-knitr,
#        r-cran-rgdal (>= 1.2-3), # will be archived in October 2023
        r-cran-testthat,
        r-cran-rmarkdown,
# <dh-update-R>do not delete this</dh-update-R>,
        r-cran-sf,		  # instead of r-cran-rgdal
        r-cran-codetools
Restrictions: allow-stderr

## r-cran-satellite 1.0.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: satellite
 Title: Handling and Manipulating Remote Sensing Data
-Version: 1.0.4
+Version: 1.0.5
 Author: Thomas Nauss, Hanna Meyer, Tim Appelhans, Florian Detsch
 Maintainer: Florian Detsch <fdetsch@web.de>
 Description: Herein, we provide a broad variety of functions which are useful
@@ -14,17 +14,19 @@
     Currently available sensors include Landsat 4-5 (TM), 7 (ETM+), and 8 
     (OLI/TIRS Combined), and additional compatibility is ensured for the Landsat 
     Global Land Survey data set. 
+URL: https://github.com/environmentalinformatics-marburg/satellite
+BugReports: https://github.com/environmentalinformatics-marburg/satellite/issues
 Depends: R (>= 2.10), raster, methods, utils, stats, grDevices,
         graphics
 Imports: plyr, Rcpp (>= 0.10.3), terra, tools, stats4
 License: MIT + file LICENSE
-Suggests: devtools, knitr, rgdal, testthat, rmarkdown
+Suggests: devtools, knitr, testthat, rmarkdown
 LazyData: true
 VignetteBuilder: knitr
 LinkingTo: Rcpp
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-10-12 06:28:29 UTC; fdetsch
+Packaged: 2024-02-10 09:41:53 UTC; tim
 Repository: CRAN
-Date/Publication: 2021-10-12 09:10:02 UTC
+Date/Publication: 2024-02-10 10:50:02 UTC

=== debian/changelog ===
r-cran-satellite (1.0.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Jun 2024 09:46:24 +0900

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,8 @@
                r-cran-raster,
                r-cran-plyr,
                r-cran-rcpp,
-               r-cran-terra,
-# <dh-update-R>do not delete this</dh-update-R>,
-               r-cran-codetools
-Standards-Version: 4.6.2
+               r-cran-terra
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
 Homepage: https://cran.r-project.org/package=satellite

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-devtools,
        r-cran-knitr,
        r-cran-testthat,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
https://cran.r-project.org/src/contrib/satellite_([-\d.]*)\.tar\.gz

## r-cran-satellite 1.0.6+dfsg

=== debian/changelog ===
r-cran-satellite (1.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for the MIT relicencing in 1.0.2

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Jan 2026 11:21:57 +0900

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
                r-cran-raster,
                r-cran-plyr,
                r-cran-rcpp,
-               r-cran-terra
-Standards-Version: 4.7.0
+               r-cran-terra,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-satellite
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-satellite.git
 Homepage: https://cran.r-project.org/package=satellite
